Name:          jsontools
Version:       1.7
Release:       %mkrel 1
Summary:       Java Tools for the JSON Format
Group:         Development/Java
License:       LGPL
Url:           http://jsontools.berlios.de/
# svn checkout http://svn.berlios.de/svnroot/repos/jsontools/tags/core-1.7 jsontools-1.7
# tar czf jsontools-1.7-src-svn.tar.gz jsontools-1.7
Source0:       jsontools-1.7-src-svn.tar.gz
Patch0:        jsontools-1.7-core-antlr-plugin.patch
BuildRequires: java-devel
BuildRequires: jpackage-utils

BuildRequires: antlr
BuildRequires: antlr-maven-plugin
BuildRequires: junit
BuildRequires: liblog4j-java
BuildRequires: maven
BuildRequires: maven-compiler-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: apache-commons-exec

Requires:      antlr
Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:      java
BuildArch:     noarch

%description
Java Tools for the JSON Format. It consists of the core which is relatively independent on
third party jars and optional parts which might introduce transitive dependencies.

%package javadoc
Summary:          Javadocs for %{name}
Group:            Development/Java
Requires:         jpackage-utils

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n jsontools-%{version}

%patch0 -p0
sed -i "s|1.4-SNAPSHOT|%{version}|" pom.xml jsontools-log4j/pom.xml

%build

mvn-rpmbuild \
  install javadoc:aggregate

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
cp -p %{name}-core/target/%{name}-core-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-core.jar
cp -p %{name}-log4j/target/%{name}-log4j-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-log4j.jar

install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -rp target/site/apidocs $RPM_BUILD_ROOT%{_javadocdir}/%{name}

install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}
install -pm 644 pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}.pom
install -pm 644 %{name}-core/pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}-core.pom
install -pm 644 %{name}-log4j/pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}-log4j.pom

%add_maven_depmap JPP-%{name}.pom
%add_maven_depmap JPP-%{name}-core.pom %{name}-core.jar
%add_maven_depmap JPP-%{name}-log4j.pom %{name}-log4j.jar

cp -pr jsontools-core/LICENSE.txt .

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/*.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc LICENSE.txt

%files javadoc
%{_javadocdir}/%{name}



%changelog

* Mon Sep 05 2011 dmorgan <dmorgan> 1.7-1.mga2
+ Revision: 138711
- Fix buildrequires
- Adapt to mageia guidelines

  + gil <gil>
    - imported package jsontools

